#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int f(int n) { 
  if (n>100)
    return n-10;
  else
    return f(f(n+11));
}

int main(void)
{
	srand(time(NULL));
	int final;
	int alea = rand()%1000+1000;
	final = f(alea);
	printf("%d", final);
	return 0;
}